telnetd(8)

NUME
telnetd - DARPA Server de protocol TELNET

SINOPSIS
telnetd [opțiuni ...]

DESCRIERE
Comanda telnetd este un server care acceptă protocolul de terminal virtual DARPA standard TELNET. telnetd este în mod normal invocat de către serverul de internet (a se vedea inetd(8)) pentru cererile de conectare la portul TELNET, așa cum este indicat în fișierul /etc/services (a se vedea services(5)).

OPȚIUNI
Comanda telnetd acceptă următoarele opțiuni:

-a, --authmode mod-autentificare
    Această opțiune poate fi utilizată pentru a preciza ce mod trebuie utilizat pentru autentificare. Rețineți că această opțiune este utilă numai dacă telnetd a fost compilat cu suport pentru opțiunea AUTHENTICATION. Există mai multe valori valide pentru mod-autentificare:

    user
        Permite conexiunile numai atunci când utilizatorul de la distanță poate furniza informații de autentificare valabile pentru a identifica utilizatorul de la distanță și i se permite accesul la contul specificat fără a furniza o parolă.

    valid
        Permite conexiunile numai atunci când utilizatorul de la distanță poate furniza informații de autentificare valabile pentru a identifica utilizatorul de la distanță. Comanda login(1) va furniza orice verificare suplimentară a utilizatorului necesară în cazul în care utilizatorului la distanță nu i se permite accesul automat la contul specificat.

    other
        Permite numai conexiunile care furnizează anumite informații de autentificare. Această opțiune nu este în prezent acceptată de niciunul dintre mecanismele de autentificare existente și, prin urmare, este identică cu specificarea -a valid.

    none
        Aceasta este starea implicită. Nu sunt necesare informații de autentificare. În cazul în care nu sunt furnizate informații de autentificare sau acestea sunt insuficiente, programul login(1) va asigura verificarea necesară a utilizatorului.

    off Aceasta dezactivează codul de autentificare. Toate verificările utilizatorilor se vor face prin intermediul programului login(1).

-S, --server-principal nume
    Stabilește numele principal Kerberos pentru această instanță de server, cu sau fără un domeniu explicit.

-X, --disable-auth-type tip-autentificare
    Această opțiune este valabilă numai dacă telnetd a fost construit cu suport pentru opțiunea de autentificare. Aceasta dezactivează utilizarea autentificării tip-autentificare și poate fi utilizată pentru a dezactiva temporar un anumit tip de autentificare fără a fi nevoie să recompilați telnetd.

-E, --exec-login șir
    Stabilește programul care urmează să fie executat în loc de /bin/login.

-h, --no-hostinfo
    Dezactivează afișarea informațiilor specifice gazdei înainte de finalizarea autentificării.

-l, --linemode [mod]
    Specifică modul de linie. Încearcă să forțeze clienții să utilizeze modul de linie la un moment dat. Dacă mod este nokludge, atunci va fi dezactivat klugde linemode automat. Dacă opțiunea LINEMODE nu este acceptată, se va trece în modul kludge linemode.

-n, --no-keepalive
    Dezactivează TCP keep-alives. În mod normal, telnetd activează mecanismul TCP keep-alive pentru a cerceta conexiunile care au fost inactive pentru o anumită perioadă de timp pentru a determina dacă clientul este încă acolo, astfel încât conexiunile inactive de la mașini care s-au prăbușit sau care nu mai pot fi contactate să poată fi curățate.

-U, --reverse-lookup
    Această opțiune face ca telnetd să refuze conexiunile de la adrese care nu pot fi reconvertite într-un nume simbolic prin intermediul rutinei gethostbyaddr(3).

?, --help
    Afișează acest mesaj de ajutor.

--usage
    Afișează un scurt mesaj de utilizare.

-V, --version
    Afișează versiunea programului, apoi iese.

OPERAȚIA
telnetd funcționează prin alocarea unui dispozitiv pseudo-terminal (a se vedea pty(4)) pentru un client, apoi prin crearea unui proces de conectare care are partea sclav a pseudo-terminalului ca stdin, stdout și stderr. telnetd manipulează partea maestru a pseudo-terminalului, implementând protocolul TELNET și trecând caracterele între clientul de la distanță și procesul de conectare.

Atunci când este inițiată o sesiune TELNET, telnetd trimite opțiuni TELNET către partea client, indicând dorința de a efectua următoarele opțiuni TELNET, care sunt descrise mai detaliat în continuare:

    DO AUTHENTICATION
    WILL ENCRYPT
    DO TERMINAL TYPE
    DO TSPEED
    DO XDISPLOC
    DO NEW-ENVIRON
    DO ENVIRON
    WILL SUPPRESS GO AHEAD
    DO ECHO
    DO LINEMODE
    DO NAWS
    WILL STATUS
    DO LFLOW
    DO TIMING-MARK

Pseudo-terminalul alocat clientului este configurat pentru a funcționa în modul “cooked” și cu XTABS și CRMOD activate (a se vedea tty(4)).

telnetd are suport pentru activarea locală a următoarelor opțiuni TELNET:

WILL ECHO
    Atunci când opțiunea LINEMODE este activată, un WILL ECHO sau WONT ECHO va fi trimis către client pentru a indica starea actuală a ecoului terminalului. Atunci când nu se dorește ecoul terminalului, se trimite un WILL ECHO pentru a indica faptul că telnetd se va ocupa de ecoul oricăror date care trebuie să fie transmise la terminal, iar apoi nu se transmite niciun ecou. Atunci când se dorește ecoul terminalului, se trimite un WONT ECHO pentru a indica faptul că telnetd nu se va ocupa de ecoul terminalului, astfel încât clientul ar trebui să se ocupe de ecoul terminalului care este necesar.

WILL BINARY
    Indică faptul că clientul este dispus să trimită 8 biți de date, în loc de cei 7 biți normali ai terminalului virtual de rețea.

WILL SGA
    Indică faptul că nu va trimite comenzi, go ahead, IAC GA.

WILL STATUS
    Indică disponibilitatea de a trimite clientului, la cerere, starea curentă a tuturor opțiunilor TELNET.

WILL TIMING-MARK
    Ori de câte ori se primește o comandă DO TIMING-MARK, se răspunde întotdeauna cu o comandă WILL TIMING-MARK.

WILL LOGOUT
    Când se primește un DO LOGOUT, se trimite ca răspuns un WILL LOGOUT, iar sesiunea TELNET este închisă.

WILL ENCRYPT
    Se trimite numai dacă telnetd este compilat cu suport pentru criptarea datelor și indică disponibilitatea de a decripta fluxul de date.

telnetd are suport pentru activarea de la distanță a următoarelor opțiuni TELNET:

DO BINARY
    Trimisă pentru a indica faptul că telnetd este dispus să primească un flux de date pe 8 biți.

DO LFLOW
    Solicită ca clientul să gestioneze de la distanță caracterele de control al fluxului.

DO ECHO
    Aceasta nu este cu adevărat acceptată, dar este trimisă pentru a identifica un client 4.2BSD telnet(1), care va răspunde în mod necorespunzător cu WILL ECHO. Dacă se primește un WILL ECHO, se va trimite ca răspuns un DONT ECHO.

DO TERMINAL-TYPE
    Indică dorința de a putea solicita numele tipului de terminal care este atașat la partea client a conexiunii.

DO SGA
    Indică că nu trebuie să primească IAC GA, comanda «go ahead».

DO NAWS
    Solicită ca clientul să informeze serverul atunci când dimensiunea ferestrei (afișajului) se modifică.

DO TERMINAL-SPEED
    Indică dorința de a putea solicita informații despre viteza liniei seriale la care este conectat clientul.

DO XDISPLOC
    Indică dorința de a putea solicita numele afișajului „X windows” care este asociat cu clientul «telnet».

DO NEW-ENVIRON
    Indică dorința de a putea solicita informații despre variabilele de mediu, astfel cum este descris în RFC 1572.

DO ENVIRON
    Indică dorința de a putea solicita informații despre variabilele de mediu, așa cum este descris în RFC 1408.

DO LINEMODE
    Se trimite numai dacă telnetd este compilat cu suport pentru modul linie „linemode” și solicită ca clientul să efectueze procesarea linie cu linie.

DO TIMING-MARK
    Se trimite numai dacă telnetd este compilat cu suport atât pentru „linemode”, cât și pentru „kludge linemode”, iar clientul a răspuns cu WONT LINEMODE. Dacă clientul răspunde cu WILL TM, se presupune că clientul suportă „kludge linemode”. Rețineți că opțiunea [-k] poate fi utilizată pentru a dezactiva acest lucru.

DO AUTHENTICATION
    Se trimite numai dacă telnetd este compilat cu suport pentru autentificare și indică disponibilitatea de a primi informații de autentificare pentru autentificarea automată.

DO ENCRYPT
    Se trimite numai dacă telnetd este compilat cu suport pentru criptarea datelor și indică disponibilitatea de a decripta fluxul de date.

FIȘIERE
/etc/services

CONSULTAȚI ȘI
telnet(1), login(1), bftp(1) (dacă este acceptat)

STANDARDE
RFC-854
    SPECIFICAȚIA PROTOCOLULUI TELNET
RFC-855
    SPECIFICAȚII ALE OPȚIUNILOR TELNET
RFC-856
    TRANSMISIE BINARĂ TELNET
RFC-857
    OPȚIUNEA TELNET ECHO
RFC-858
    OPȚIUNEA TELNET SUPPRESS GO AHEAD
RFC-859
    OPȚIUNEA DE STARE TELNET
RFC-860
    OPȚIUNEA DE MARCARE TEMPORALĂ TELNET
RFC-861
    TELNET OPȚIUNI EXTINSE - LISTĂ OPȚIUNI
RFC-885
    OPȚIUNEA DE SFÂRȘIT DE ÎNREGISTRARE TELNET
RFC-1073
    Opțiunea de dimensiune a ferestrei Telnet
RFC-1079
    Opțiunea de viteză a terminalului Telnet
RFC-1091
    Opțiunea de tip terminal Telnet
RFC-1096
    Opțiunea locației afișajului X Telnet
RFC-1123
    Cerințe pentru gazdele de internet -- Aplicație și asistență
RFC-1184
    Opțiunea Telnet Linemode
RFC-1372
    Opțiunea de control al fluxului la distanță Telnet
RFC-1416
    Opțiunea de autentificare Telnet
RFC-1411
    Autentificare Telnet: Kerberos versiunea 4
RFC-1412
    Autentificare Telnet: SPX
RFC-1571
    Aspecte privind interoperabilitatea opțiunii de mediu Telnet
RFC-1572
    Opțiunea de mediu Telnet

ERORI
Unele comenzi TELNET sunt implementate doar parțial.

Din cauza unor erori din versiunea originală 4.2 BSD telnet(1), telnetd efectuează unele schimburi de protocol dubioase pentru a încerca să descopere dacă clientul la distanță este, de fapt, un telnet(1) 4.2 BSD.

Modul binar nu are o interpretare comună decât între sisteme de operare similare (Unix în acest caz).

Numele tipului de terminal primit de la clientul la distanță este convertit în minuscule.

telnetd nu trimite niciodată comenzi TELNET IAC GA (go ahead).

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3: https://www.gnu.org/licenses/gpl-3.0.html sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.